Package ru.bitel.bgbilling.modules.npay.server.bean.account

# Class ModuleAccount

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.npay.server.bean.account.ModuleAccount

All Implemented Interfaces:
  `ListItem`

Direct Known Subclasses:
  `InetModuleAccount`, `KernelAccount`, `VoiceModuleAccount`

public abstract class ModuleAccount extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements ListItem

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModuleAccount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getId()`
  `int`
  `getModleId()`
  `abstract BigDecimal`
  `getPeriodAccount(Connection con, int contractId, Calendar from, Calendar to)`
  `List<Integer>`
  `getServiceIds()`
  `String`
  `getTitle()`
  `protected String`
  `queryInIntList(List<Integer> ids, String fieldName)`
  `void`
  `setId(int id)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setServiceIds(List<Integer> serviceIds)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ModuleAccount

    public ModuleAccount()

- ## Method Details

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### setId

    public void setId(int id)

  - ### getServiceIds

    public List<Integer> getServiceIds()

  - ### setServiceIds

    public void setServiceIds(List<Integer> serviceIds)

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public void setTitle(String title)

  - ### getModleId

    public int getModleId()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### queryInIntList

    protected String queryInIntList(List<Integer> ids, @Nonnull String fieldName)

  - ### getPeriodAccount

    public abstract BigDecimal getPeriodAccount(Connection con, int contractId, Calendar from, Calendar to)